using System;
using System.Collections.Generic;
using System.Text;

namespace CinDotNet.Aulas.VisualStudioECSharp.CalculadoraMemoria
{
    public partial class Calculadora
    {
        private List<int> memoria;

        public Calculadora()
        {
            InitializeComponent();
            memoria = new List<int>();
        }

        public List<int> Memoria
        {
            get
            {
                return this.memoria;
            }

            set
            {
                this.memoria = value;
            }
        }

        public int Somatorio
        {
            get
            {
                int retorno = 0;
                foreach (int atual in memoria)
                {
                    retorno += atual;
                }
                return retorno;
            }
        }

        public int Produtorio
        {
            get
            {
                int retorno = 1;
                if (memoria.Count > 0)
                {
                    foreach (int atual in memoria)
                    {
                        retorno *= atual;
                    }
                }
                else
                {
                    throw new Exception("Memria Vazia");
                }
                return retorno;
            }
        }

        public double Media
        {
            get
            {
                try
                {
                    int retorno = this.Somatorio / memoria.Count;
                    return retorno;
                }
                catch (Exception e)
                {
                    throw new Exception("Memria Vazia");
                }
            }
        }
    }
}
