using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CinDotNet.Aulas.VisualStudioECSharp.CalculadoraMemoria
{
    public partial class Calculadora : Form
    {
        
        
        private void btnAddMem_Click(object sender, EventArgs e)
        {
            memoria.Add(Convert.ToInt32(txtNumero.Text));
            txtNumero.Text = "";
        }

        private void btnSoma_Click(object sender, EventArgs e)
        {
            txtNumero.Text = this.Somatorio.ToString();
        }

        private void btnProd_Click(object sender, EventArgs e)
        {
            try
            {
                txtNumero.Text = this.Produtorio.ToString();
            }
            catch (Exception ex)
            {
                System.Windows.Forms.MessageBox.Show(ex.Message);
            }
        }

        private void btnMedia_Click(object sender, EventArgs e)
        {
            try
            {
                txtNumero.Text = this.Media.ToString();
            }
            catch (Exception ex)
            {
                System.Windows.Forms.MessageBox.Show(ex.Message);
            }
        }

        private void btnLimpaMem_Click(object sender, EventArgs e)
        {
            this.Memoria = new List<int>();
        }

        private void btnLimpa_Click(object sender, EventArgs e)
        {
            this.txtNumero.Clear();
        }
    }
}